summaryrefslogtreecommitdiff
path: root/tests/file
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2010-09-03 22:36:59 +0200
committerJim Meyering <meyering@redhat.com>2010-09-03 22:38:08 +0200
commita65a94f613bc67c0d5c0a103e705481d3c2d11a3 (patch)
tree20e31e21da4674ace984d0dff9dfb67e56bbf6ea /tests/file
parent783b3f8022e68f6da30b9d22ccf00e8620a6a824 (diff)
downloadgrep-a65a94f613bc67c0d5c0a103e705481d3c2d11a3.tar.gz
tests: remove .sh suffix from remaining test scripts.
* tests/backref: Rename from backref.sh. * tests/bre: Rename from bre.sh. * tests/ere: Rename from ere.sh. * tests/file: Rename from file.sh. * tests/khadafy: Rename from khadafy.sh. * tests/options: Rename from options.sh. * tests/pcre: Rename from pcre.sh. * tests/spencer1: Rename from spencer1.sh. * tests/spencer2: Rename from spencer2.sh. * tests/status: Rename from status.sh. * tests/yesno: Rename from yesno.sh. * tests/Makefile.am: Reflect renamings.
Diffstat (limited to 'tests/file')
-rw-r--r--tests/file63
1 files changed, 63 insertions, 0 deletions
diff --git a/tests/file b/tests/file
new file mode 100644
index 00000000..1d6b9608
--- /dev/null
+++ b/tests/file
@@ -0,0 +1,63 @@
+#! /bin/sh
+# Test for POSIX.2 options for grep:
+# grep -E -f pattern_file file
+# grep -F -f pattern_file file
+# grep -G -f pattern_file file
+#
+# Copyright (C) 2001, 2006, 2009-2010 Free Software Foundation, Inc.
+#
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+fail=0
+
+cat <<EOF >patfile
+radar
+MILES
+GNU
+EOF
+
+# match
+echo "miles" | grep -i -E -f patfile > /dev/null 2>&1
+if test $? -ne 0 ; then
+ echo "File_pattern: Wrong status code, test \#1 failed"
+ fail=1
+fi
+
+# match
+echo "GNU" | grep -G -f patfile > /dev/null 2>&1
+if test $? -ne 0 ; then
+ echo "File_pattern: Wrong status code, test \#2 failed"
+ fail=1
+fi
+
+# checking for no match
+echo "ridar" | grep -F -f patfile > /dev/null 2>&1
+if test $? -ne 1 ; then
+ echo "File_pattern: Wrong status code, test \#3 failed"
+ fail=1
+fi
+
+cat <<EOF >patfile
+
+EOF
+# empty pattern : every match
+echo "abbcd" | grep -F -f patfile > /dev/null 2>&1
+if test $? -ne 0 ; then
+ echo "File_pattern: Wrong status code, test \#4 failed"
+ fail=1
+fi
+
+cp /dev/null patfile
+
+# null pattern : no match
+echo "abbcd" | grep -F -f patfile > /dev/null 2>&1
+if test $? -ne 1 ; then
+ echo "File_pattern: Wrong status code, test \#5 failed"
+ fail=1
+fi
+
+Exit $fail